* {
    margin: 0;
    padding: 0;
    list-style: none;
 }
 
 body {
     font-family: 'Courier New', Courier, monospace;
     background-color:rgba(32, 184, 255, 1);
     color:rgba(242, 30, 167, 1);
 }
 
 main {
   position: absolute;
   left: 0;
   top: 0;
   width: 100%;
   height: 100vh;
   display: flex;
   flex-direction: column;
   justify-content: center;
   align-items: center;
 }
 
 .menu .menu-faketrigger{
   position: absolute;
   z-index: 1000;
   width: 35px;
   height: 35px;
   opacity: 0;
   cursor: pointer;
 }
 
 .menu .menu-lines{
   position: absolute;
   z-index: 999;
   width: 35px;
   height: 35px;
 }
 
 .menu .menu-lines span {
   display: block;
   width: 35px;
   height: 5px;
   margin-bottom: 10px;
   background-color:rgba(242, 30, 167, 1);
   border-radius: 3px;
   transition: all ease .2s;
 }
 
 .menu .menu-faketrigger:checked~.menu-lines span {
    background-color:rgba(32, 184, 255, 1);
 }
 
 .menu .menu-faketrigger:checked~.menu-lines span:nth-child(1) {
     transform-origin: 0% 0%;
     transform: rotate(45deg) scaleX(1.25);
 }
 
 .menu .menu-faketrigger:checked~.menu-lines span:nth-child(2) {
     opacity: 0;
 }
 .menu .menu-faketrigger:checked~.menu-lines span:nth-child(3) {
     transform-origin: 0% 100%;
     transform: rotate(-45deg) scaleX(1.25);
 }
 
 .menu ul{
   position: absolute;
   z-index: 998;
   left: 0;
   top: 0;
   width: 300px;
   height: calc(100vh - 100px);
   padding-top: 100px;
   background-color:rgba(242, 30, 167, 1);
   margin-left: -300px;
   transition: ease .2s;
 }
 
 .menu .menu-faketrigger:checked ~ ul{
   margin-left: 0;
 }